SDL_BlitSurfaceUnchecked(3)

NAME
SDL_BlitSurfaceUnchecked - Perform low-level surface blitting only.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_BlitSurfaceUnchecked(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect);

DESCRIPTION
This is a semi-private blit function and it performs low-level surface blitting, assuming the input rectangles have already been clipped.

FUNCTION PARAMETERS

src the SDL_Surface
     structure to be copied from.

srcrect
    the SDL_Rect
     structure representing the rectangle to be copied, may not be NULL.

dst the SDL_Surface
     structure that is the blit target.

dstrect
    the SDL_Rect
     structure representing the target rectangle in the destination surface, may not be NULL.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
The same destination surface should not be used from two threads at once. It is safe to use the same source surface from multiple threads.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BlitSurface(3)